#ifndef XMPP_LNG_H
#define XMPP_LNG_H

enum
{
		LG_SUBJECT,
		LG_CLIENT_INFO_,
		LG_NAME,
		LG_VERSION,
		
		LG_CONTACT_INFO_,
		LG_VCARD_JABBERID,
		LG_VCARD_FN,
		LG_VCARD_N_FAMILY,
		LG_VCARD_N_GIVEN,
		LG_VCARD_N_MIDDLE,
		LG_VCARD_N_PREFIX,
		LG_VCARD_N_SUFFIX,
		LG_VCARD_NICKNAME,
		LG_VCARD_BDAY,
		LG_VCARD_GENDER,

		LG_VCARD_ORGNAME,
		LG_VCARD_ORGUNIT,
		LG_VCARD_TITLE,
		LG_VCARD_ROLE,

		LG_VCARD_EMAIL,
		LG_VCARD_EMAIL_HOME,
		LG_VCARD_EMAIL_WORK,
		LG_VCARD_EMAIL_INTERNET,
		LG_VCARD_EMAIL_PREF,
		LG_VCARD_EMAIL_X400,

		LG_VCARD_TEL_HOME,
		LG_VCARD_TEL_WORK,
		LG_VCARD_TEL_VOICE,
		LG_VCARD_TEL_FAX,
		LG_VCARD_TEL_PAGER,
		LG_VCARD_TEL_MSG,
		LG_VCARD_TEL_CELL,
		LG_VCARD_TEL_VIDEO,
		LG_VCARD_TEL_BBS,
		LG_VCARD_TEL_MODEM,
		LG_VCARD_TEL_ISDN,
		LG_VCARD_TEL_PCS,
		LG_VCARD_TEL_PREF,
		LG_VCARD_TEL_NUMBER,

		LG_VCARD_ADR_HOME,
		LG_VCARD_ADR_WORK,
		LG_VCARD_ADR_POSTAL,
		LG_VCARD_ADR_PARCEL,
		LG_VCARD_ADR_DOM,
		LG_VCARD_ADR_PREF,
		LG_VCARD_ADR_POBOX,
		LG_VCARD_ADR_EXTADD,
		LG_VCARD_ADR_STREET,
		LG_VCARD_ADR_LOCALITY,
		LG_VCARD_ADR_REGION,
		LG_VCARD_ADR_PCODE,
		LG_VCARD_ADR_CTRY,

		LG_VCARD_URL,

		LG_VCARD_DESC,
		LG_VCARD_TZ,
		
		LG_VCARD_LOGO,
		LG_VCARD_PHOTO
};

extern const char *xmpp_mood[];
extern const char *xmpp_activity_types[];
extern const char *xmpp_activity[];
extern const char *xmpp_pyicq_t_xstatuses[];

char* xmpp_lang( UINT8 lng );

#endif // XMPP_LNG_H
